#!/bin/bash
#
# Dostane seznam slozek. Pokud slozka obsahuje obrazek, vytvori .directory,
# .folder.png a folder.jpg
#

if [ $# -eq 0 ]
then
	echo "Usage: mkfolderimg files ..."
fi

for file in "$*"
do
	if [ -d "$file" ]
	then
		image=`ls "$file" | grep .jpg | head -1`
		if [ -n "$image" ]
		then
			echo "[Desktop Entry]
Icon=./.folder.png">"$file/.directory"
			new="$file/.folder.png"
			tmp="$file/tmp.png"
			[ ! -e "$new" ] && convert "$file/$image" -resize 300x300^ "$tmp" && convert "$tmp" -gravity Center -crop 300x300  "$new" && rm "$tmp"
			if [ -e "$file/.folder-1.png" ]
			then
				rm "$file/.folder-1.png"
			fi
			if [ -e "$file/.folder-0.png" ]
			then
				mv "$file/.folder-0.png" "$new"
			fi
			if [ ! -e "$file/folder.jpg" ]
			then
				mv "$file/$image" "$file/folder.jpg"
			fi
			echo "Obrazek slozky pro $file byl zapsan"
		fi
	fi
done
