#!/bin/bash
#
# Projde vsechny slozky s hudebnimi soubory
# a pokusi se v nich vytvorit nahledy obalu
#
# Priklad pouziti: mkmusiccovers.sh /media/ext_disk/music
#

tmpfile=.tmp_musiccovers
touch $tmpfile

kde=$1
if [ "$kde" == "" ]; then
	kde=.
fi

oIFS=$IFS
IFS=$'\n'
for hudba in `find "$kde" -name \*.mp3 -or -name \*.wma -or -name \*.aac -or -name \*.flac -or -name \*.ogg`; do
	dir=${hudba%/*}
	echo "$dir">>"$tmpfile"
done

kandidati=`cat "$tmpfile"|sort -u`

for kandidat in $kandidati; do
	if [ ! -e "$kandidat/.directory" ]; then
		mkfolderimg.sh "$kandidat"
		addimage.sh "$kandidat"
		if [ ! -e "$kandidat/.directory" ]; then
			mp3=`ls "$kandidat" | grep -e '.mp3$' | head -1`
			umelec=`id3info "$kandidat/$mp3"|grep TPE1`
			album=`id3info "$kandidat/$mp3"|grep TALB`
			umelec=${umelec#*: }
			album=${album#*: }
			if [ "$album" != "" ] && [ "$umelec" != "" ]; then
				url=`getcover.rb "$umelec" "$album"`
				if [ "$url" != "" ]; then
					echo "Stahuji cover pro '$umelec' '$album' podle souboru '$mp3'"
					curl --silent -o "$kandidat/tmpimg" "$url"
					convert "$kandidat/tmpimg" "$kandidat/folder.jpg"
					rm "$kandidat/tmpimg"
					mkfolderimg.sh "$kandidat"
					addimage.sh "$kandidat"
				fi
			fi
			if [ ! -e "$kandidat/.directory" ]; then
				echo "Nelze nalezt obrazek pro $kandidat."
				echo "Zkuste: curl -O \`getcover.rb \"umelec\" \"album\"\`"
			fi
		fi
	fi
done
IFS=$oIFS

rm "$tmpfile"
